package me.Demon.AskyBlockWarps.Listener;

import com.wasteofplastic.askyblock.ASkyBlockAPI;
import me.Demon.AskyBlockWarps.Main;
import me.Demon.AskyBlockWarps.Util.itemUtil;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;

import java.util.UUID;

public class WarpGui implements Listener {
    public static String invtitle = "帝国战争 - 空岛地标";

    @EventHandler
    public void onclick(InventoryClickEvent e) {
        Player p = (Player) e.getWhoClicked();
        if (e.getInventory() != null && e.getInventory().getTitle().contains(invtitle)) {
            e.setCancelled(true);
            ItemStack item = e.getCurrentItem();
            if (e.getRawSlot() >= 0 && e.getRawSlot() < e.getInventory().getSize() && !DemonAPI.itemIsNull(item) && !DemonAPI.itemIsLore(item)) {
                UUID islandOwner = ASkyBlockAPI.getInstance().getOwner(p.getLocation());
                p.teleport(Main.LandWarpLoc(p.getName()));
                p.sendMessage(Main.prefix + "您已传送至 §e" + Main.convertUUIDToName(islandOwner) + "§f 的空岛地标旁.");
                p.closeInventory();
            }
        }
    }

    public static void Opengui(Player p) {
        Inventory inv = Bukkit.createInventory(null, 54, invtitle);
        for (String warpName : Main.plugin.getConfig().getConfigurationSection("Stats").getKeys(false)) {
            inv.addItem(itemUtil.warpShow(warpName));
        }

        p.openInventory(inv);
    }
}
