package me.Demon.AskyBlockWarps.Listener;

import com.wasteofplastic.askyblock.ASkyBlockAPI;
import me.Demon.AskyBlockWarps.Main;
import me.Demon.AskyBlockWarps.Util.itemUtil;
import me.Demon.DemonPlugin.DemonAPI;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.configuration.file.FileConfiguration;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.inventory.Inventory;
import org.bukkit.inventory.ItemStack;

import java.util.UUID;

public class MainGui implements Listener {
    public static String invtitle = "帝国战争 - 空岛管理";

    @EventHandler
    public void onclick(InventoryClickEvent e) {
        Player p = (Player) e.getWhoClicked();
        if (e.getInventory() != null && e.getInventory().getTitle().contains(invtitle)) {
            e.setCancelled(true);
            ItemStack item = e.getCurrentItem();
            if (e.getRawSlot() >= 0 && e.getRawSlot() < e.getInventory().getSize() && !DemonAPI.itemIsNull(item) && !DemonAPI.itemIsLore(item)) {
                if (e.getRawSlot() == 13) {
                    UUID islandOwner = ASkyBlockAPI.getInstance().getOwner(p.getLocation());
                    System.out.println("LandOwner: " + Main.convertUUIDToName(islandOwner));
                    if (islandOwner != null && islandOwner.equals(p.getUniqueId())) {
                        SetLocation("Stats." + p.getName(), p.getLocation());
                        p.sendMessage(Main.prefix + "设置空岛地标点成功.");
                        p.closeInventory();
                    } else {
                        p.sendMessage(Main.prefix + "您只能在您的岛屿设置传送点地标.");
                        p.closeInventory();
                    }
                }
                if (e.getRawSlot() == 15) {
                    WarpGui.Opengui(p);
                }
            }
        }
    }

    public static void Opengui(Player p) {
        Inventory inv = Bukkit.createInventory(null, 27, invtitle);

        inv.setItem(11, itemUtil.resetLand());

        inv.setItem(13, itemUtil.setWarp());

        inv.setItem(15, itemUtil.warpList());

        p.openInventory(inv);
    }

    public void SetLocation(String key, Location loc) {
        FileConfiguration yml = Main.plugin.getConfig();
        yml.set(key + ".world", loc.getWorld().getName());
        yml.set(key + ".x", loc.getX());
        yml.set(key + ".y", loc.getY());
        yml.set(key + ".z", loc.getZ());
        yml.set(key + ".yaw", loc.getYaw());
        yml.set(key + ".pitch", loc.getPitch());
        Main.plugin.saveConfig();
    }
}
